package net.wanji.web.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@NoArgsConstructor
@Data
@ApiModel(value = "ListAreaVO", description = "区域列表")
public class ListAreaVO {
    @ApiModelProperty(value = "交警支队")
    private CityPoliceVO cityPoliceVO;
    @ApiModelProperty(value = "道路列表")
    private List<AreaIdAndNameVO> roadList;
    @ApiModelProperty(value = "子区列表")
    private List<AreaIdAndNameVO> subAreaList;

    @NoArgsConstructor
    @Data
    public static class CityPoliceVO {
        @ApiModelProperty(value = "交警支队ID")
        private Integer areaId;
        @ApiModelProperty(value = "交警支队名称")
        private String areaName;
        @ApiModelProperty(value = "交警大队列表")
        private List<ParentAreaVO> parentPoliceList;
    }

    @NoArgsConstructor
    @Data
    public static class ParentAreaVO {
        @ApiModelProperty(value = "交警大队ID")
        private Integer areaId;
        @ApiModelProperty(value = "交警大队名称")
        private String areaName;
        @ApiModelProperty(value = "交警中队列表")
        private List<AreaIdAndNameVO> subAreaList;
    }

    @NoArgsConstructor
    @Data
    public static class AreaIdAndNameVO {
        @ApiModelProperty(value = "区域ID")
        private Integer areaId;
        @ApiModelProperty(value = "区域名称")
        private String areaName;
    }
}
